# Uhrzeit/Datum-Script
# http://www.kanguru.de
#
# (c) 2003 by Kanguru
#
# Anleitung:
# - einfach in den Scripts-Ordner kopieren
# - in den Bot einladen
# - Bot rehashen
#
# ffentliche Kommandos:
# !datum - gibt das Datum aus
# !date -    "  "  "  "  "  "
# !zeit - gibt die Zeit aus
# !wochentag - gibt den Wochentag aus
#

bind pub - !datum date
bind pub - !time TIME
bind pub - !zeit TIME
bind pub - !wochentag WOCHENTAG

proc date {nick host hand chan rest} {
set jahr [lindex [ctime [unixtime]] 4]
set uhr [lindex [ctime [unixtime]] 3]
set tag [lindex [ctime [unixtime]] 2]
set monat [lindex [ctime [unixtime]] 1]
set wochentag [lindex [ctime [unixtime]] 0]

if {$wochentag == "Sun"} {
  set wochentag Sonntag
  }
if {$wochentag == "Mon"} {
  set wochentag Montag
  }
if {$wochentag == "Tue"} {
  set wochentag Dienstag
  }
if {$wochentag == "Wed"} {
  set wochentag Mittwoch
  }
if {$wochentag == "Thu"} {
  set wochentag Donnerstag
  }
if {$wochentag == "Fri"} {
  set wochentag Freitag
  }
if {$wochentag == "Sat"} {
  set wochentag Samstag
  }

if {$monat == "Jan"} {
  set monat Januar
  }
if {$monat == "Feb"} {
  set monat Februar
  }
if {$monat == "Mar"} {
  set monat Mrz
  }
if {$monat == "Apr"} {
  set monat April
  }
if {$monat == "May"} {
  set monat Mai
  }
if {$monat == "Jun"} {
  set monat Juni
  }
if {$monat == "Jul"} {
  set monat Juli
  }
if {$monat == "Aug"} {
  set monat August
  }
if {$monat == "Sep"} {
  set monat September
  }
if {$monat == "Okt"} {
  set monat Oktober
  }
if {$monat == "Nov"} {
  set monat November
  }
if {$monat == "Dec"} {
  set monat Dezember
  }

putchan $chan "Heute ist $wochentag, der $tag. $monat $jahr. Es ist $uhr."
}

proc TIME {nick host hand chan rest} {
set uhr [lindex [ctime [unixtime]] 3]
putchan $chan "Es ist $uhr."
}

proc WOCHENTAG {nick host hand chan rest} {
set wochentag [lindex [ctime [unixtime]] 0]
if {$wochentag == "Sun"} {
  set wochentag Sonntag
  }
if {$wochentag == "Mon"} {
  set wochentag Montag
  }
if {$wochentag == "Tue"} {
  set wochentag Dienstag
  }
if {$wochentag == "Wed"} {
  set wochentag Mittwoch
  }
if {$wochentag == "Thu"} {
  set wochentag Donnerstag
  }
if {$wochentag == "Fri"} {
  set wochentag Freitag
  }
if {$wochentag == "Sat"} {
  set wochentag Samstag
  }
putchan $chan "Heute ist $wochentag."
}

putlog "Uhrzeit-Datum-Script by Kanguru"